Skip to Content
CerebrumDocs
GuidesAPI referenceTrust & security

Create Wallet Share Link

Related workflow: Working with Beams and credentials

POST
/v1/wallet/shares

Create a temporary public link for a wallet credential the caller can read.

Related: Get Shared Wallet Credential

Authorization

apiKey
headerapikey<token>

Request Body

application/json
  1. body
credentialId*string

Wallet credential to expose via the share link. Caller must have read access via RBAC.

Response Body

Temporary public share link: token, url, displayUrl and expiresAt.

application/json
  1. response
token*string
url*string
displayUrl*string
expiresAt*string

When the share link stops working (ISO 8601)

Formatdate-time
Example Request
curl -X POST 'https://api.cerebrum.com/v1/wallet/shares' \  -H 'apikey: CEREBRUM_API_KEY' \  -H 'Content-Type: application/json' \  -d '{  "credentialId": "string"}'
Example Response
{  "token": "string",  "url": "string",  "displayUrl": "string",  "expiresAt": "2026-05-13T12:34:56.789Z"}